<?php
/* Mantenimiento de los registros de la tabla SEG_Usuario redefinidos por el usaurio */
class SEG_UsuarioDP extends BaseSEG_UsuarioDP
{
    public static function asociarUsuarioCompania( $IdCompania, $IdUsuario )
    {
        $s_Sql = "REPLACE INTO SEG_UsuarioCompania ( IdCompania, IdUsuario ) VALUES( '$IdCompania', '$IdUsuario' );";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
        return true;
    }
    
    public static function eliminarGrupoUsuario( $IdUsuario, $IdCompania = null )
    {
        $s_Where = "";
        if( $IdCompania )
        {
            $s_Where = " AND IdCompania='$IdCompania' ";
        }
        $s_Sql = "DELETE FROM SEG_UsuarioCompania WHERE IdUsuario='$IdUsuario' $s_Where;";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
        return true;
    }
}
?>